Page MenuHomePhabricator

When a table is unclosed, parsoid adds the closing tag without respecting SOL constraints on the closing tag -- probably limited to selective serialization
Closed, ResolvedPublic

Event Timeline

Restricted Application added a project: VisualEditor. · View Herald TranscriptNov 20 2017, 6:59 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Esanders added a subscriber: Esanders.

I'm going to guess this is an invalid wikitext issue. Either way VE doesn't control the inserting of close table tags, so it would be probably be a Parsoid issue.

ssastry closed this task as Invalid.Nov 30 2017, 4:13 PM
ssastry added a subscriber: ssastry.

See https://de.wikipedia.org/w/index.php?title=Einwohnerentwicklung_von_Jena&action=edit&section=7 for the problem .. the closing tag is in the wrong place.

This old revision ( https://de.wikipedia.org/w/index.php?title=Einwohnerentwicklung_von_Jena&action=edit&oldid=170851443 ) has two of those.

So, the # of added closing tags matches the # of broken tables.

Although ... it is odd that Parsoid added the table closing tags in a broken fashion as well :D :D

Arlolra added a comment.EditedNov 30 2017, 5:21 PM

Is it? The table w/o the closing tag was edited in those cases. Broken being the operative word.

Arlolra reopened this task as Open.Nov 30 2017, 7:13 PM
Arlolra claimed this task.
Arlolra triaged this task as Medium priority.
Arlolra removed a project: VisualEditor.
ssastry renamed this task from Apparently unnecessary |} (close table) markup added upon saving page to When a table is unclosed, parsoid adds the closing tag without respecting SOL constraints on the closing tag -- probably limited to selective serialization.Nov 30 2017, 8:01 PM

Repurposed the ticket for a related Parsoid bug, but the fix for the original reported issue is to fix the page (which Arlo already has) ... but, just an FYI for future reports of this nature.

Change 394412 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/services/parsoid@master] T180930: Selser shouldn't reuse orig sep for autoinserted ends

https://gerrit.wikimedia.org/r/394412

Change 394412 merged by jenkins-bot:
[mediawiki/services/parsoid@master] T180930: Selser shouldn't reuse orig sep for autoinserted tags

https://gerrit.wikimedia.org/r/394412

Arlolra closed this task as Resolved.Dec 6 2017, 12:04 AM